Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 1867683002: Disarm LockToOrigin for extensions under --isolate-extensions. (Closed)

Created:
3 years, 1 month ago by ncarter (slow)
Modified:
3 years, 1 month ago
Reviewers:
Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, site-isolation-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Disarm LockToOrigin for extensions under --isolate-extensions. --isolate-extensions actually permits render process reuse, unlike --site-per-process. This means that "one extension per process" isn't a valid thing to enforce, which hopefully explains the process kills we have seen in the wild. Add a test that exercises this. It fails without the fix. BUG=600441 TEST=browser_tests CQ_INCLUDE_TRYBOTS=tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/92b0458c1ea209f49ee080151b540611958d7a8d Cr-Commit-Position: refs/heads/master@{#385947}

Patch Set 1 #

Total comments: 8

Patch Set 2 : Fixes. #

Patch Set 3 : Add a stupid cast. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+58 lines, -0 lines) Patch
M chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc View 1 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/browser/extensions/process_manager_browsertest.cc View 1 2 2 chunks +50 lines, -0 lines 0 comments Download

Messages

Total messages: 22 (12 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1867683002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1867683002/1
3 years, 1 month ago (2016-04-06 22:50:27 UTC) #4
ncarter (slow)
Hi Devlin, please review this change.
3 years, 1 month ago (2016-04-06 22:50:30 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 1 month ago (2016-04-07 00:43:58 UTC) #8
Devlin
lgtm https://codereview.chromium.org/1867683002/diff/1/chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc File chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc (right): https://codereview.chromium.org/1867683002/diff/1/chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc#newcode223 chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc:223: // above, in ShouldTryToUseExistingProcessHost) means that extension nit: ...
3 years, 1 month ago (2016-04-07 15:06:38 UTC) #9
ncarter (slow)
https://codereview.chromium.org/1867683002/diff/1/chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc File chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc (right): https://codereview.chromium.org/1867683002/diff/1/chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc#newcode223 chrome/browser/extensions/chrome_content_browser_client_extensions_part.cc:223: // above, in ShouldTryToUseExistingProcessHost) means that extension On 2016/04/07 ...
3 years, 1 month ago (2016-04-07 21:41:10 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1867683002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1867683002/20001
3 years, 1 month ago (2016-04-07 21:41:53 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/151368) linux_chromium_compile_dbg_32_ng on tryserver.chromium.linux (JOB_FAILED, ...
3 years, 1 month ago (2016-04-07 21:58:23 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1867683002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1867683002/40001
3 years, 1 month ago (2016-04-07 22:34:49 UTC) #18
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 1 month ago (2016-04-08 02:54:19 UTC) #20
commit-bot: I haz the power
3 years, 1 month ago (2016-04-08 02:55:24 UTC) #22
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/92b0458c1ea209f49ee080151b540611958d7a8d
Cr-Commit-Position: refs/heads/master@{#385947}

Powered by Google App Engine
This is Rietveld 408576698